version: '3'
services:
  auth:
    build: .
    container_name: vitrap-auth
    env_file:
      - .env
    command: npm run start
    ports:
      - 4000:4000
    volumes:
      - .:/app
      - bcrypt:/app/node_modules/bcrypt/
    restart: always
    extra_hosts:
      - "host.docker.internal:host-gateway"

volumes:
  bcrypt: